Bug 825361 - kded deadlock on openconnect VPN connection
kded deadlock on openconnect VPN connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 15:22 EDT by David Woodhouse
Modified: 2013-08-01 14:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:03:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2012-05-25 15:22:47 EDT
When behind a captive portal or something which accepts HTTPS connections but then does nothing more, KDE users have observed kded deadlocking. It happens because it tries to cancel the VPN connection, but the HTTPS fetch never completes so it waits for ever for the I/O thread to complete.

This has been fixed by implementing proper cancellation support in libopenconnect, and by the patch at https://git.reviewboard.kde.org/r/104979/

Please merge this to master,F16,F17.

Note that you should have openconnect >= 3.19 in BuildRequires.
Comment 1 David Woodhouse 2012-05-25 15:24:09 EDT
That should be 'BuildRequires: pkgconfig(openconnect) >= 3.19', of course.
Comment 2 Rex Dieter 2012-05-25 15:27:25 EDT
Thanks!  I'll take a look.
Comment 3 Kevin Kofler 2012-05-25 18:19:19 EDT
> Please merge this to master,F16,F17.

Looks like the prerequisites are fulfilled:

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
openconnect-3.20-1.fc18                   f18                   dwmw2
openconnect-3.20-1.fc17                   f17-updates           dwmw2
openconnect-3.20-1.fc16                   f16-updates           dwmw2
openconnect-3.18-1.fc15                   dist-f15-updates      dwmw2

I assume you aren't interested in updating F15? It has one more month until end of life.
Comment 4 David Woodhouse 2012-06-14 03:27:48 EDT
I've just pushed this to master (along with some other changes needed for libopenconnect.so.2, but it'll still work fine with libopenconnect.so.1 as used in Fedora 17 and below).
Comment 5 Fedora End Of Life 2013-07-04 02:29:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 14:03:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.